<div class="panel panel-app panel-without-bottom">
  <div class="panel-heading clearfix status-heading-panel">
    <div class="col-lg-11">
      <div class="status-heading">
        <div class="item">
          <svg class="svg-icon">
            <use [attr.xlink:href]="statusIcons[0]"></use>
          </svg>
          <div class="title">{{event.inactive}} Inactive </div>
        </div>
        <div class="item">
          <svg class="svg-icon">
            <use [attr.xlink:href]="statusIcons[1]"></use>
          </svg>
          <div class="title">{{event.active}} Stopped</div>
        </div>
        <div class="item">
          <svg class="svg-icon">
            <use [attr.xlink:href]="statusIcons[2]"></use>
          </svg>
          <div class="title"> {{event.idle}} Idle</div>
        </div>
        <div class="item">
          <svg class="svg-icon">
            <use [attr.xlink:href]="statusIcons[3]"></use>
          </svg>
          <div class="title">{{event.moving}} Moving</div>
        </div>
        <div class="item">
          <svg class="svg-icon">
            <use [attr.xlink:href]="statusIcons[4]"></use>
          </svg>
          <div class="title">{{event.alarm}} Alarm</div>
        </div>
      </div>
    </div>
    <span>
    <i class="glyphicon pull-right resize-icons" *ngIf="!minimize.list" (click)="fullscreen.list = !fullscreen.list; fullscreen.map = false;changeMinMax()"
      [ngClass]="{'glyphicon-resize-full': !fullscreen.list , 'glyphicon-resize-small':fullscreen.list}"></i>
    <i class="glyphicon pull-right resize-icons" (click)="minimize.list = !minimize.list; minimize.map = false;changeMinMax()"
      [ngClass]="{'glyphicon-arrow-left': !minimize.list , 'glyphicon-arrow-right':minimize.list }"></i>
    </span>
  </div>
  <div class="panel-body">
    <table class="table app-table" [mfData]="data" #mf="mfDataTable" [mfRowsOnPage]="5">
      <tbody>
        <tr>
          <td colspan="5" class="no-padding no-top">
            <table class="col-lg-12 heading-table">
              <tr>
                <td [ngClass]="column.cssClass" *ngFor="let column of columns">
                  <app-table-sorter by="{{column.sort}}" *ngIf="column.sort">{{column.name}}</app-table-sorter>
                  <span *ngIf="!column.sort">{{column.name}}</span>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr *ngFor="let item of mf.data">
          <td colspan="5" class="list">
            <table class="col-lg-12">
              <tr class="child-table">
                <td class="col-lg-2"><img [src]="item.logo" width="50px" height="50px" alt="Asset logo"></td>
                <td class="col-lg-4 clickable" (click)="navigateDashboard(item)">{{item[columns[1].sort]}}</td>
                <td class="col-lg-4">{{item.assetLastUpdateDate | date:'hh:mm, MM/dd/yy'}}</td>
                <td>
                  <span class="expand-icon">
                  <svg class="svg-icon">
                    <use [attr.xlink:href]="statusIcons[item.status]"></use>
                  </svg>
                  <span class="glyphicon" [ngClass]="{'glyphicon-triangle-right':!item.expanded , 'glyphicon-triangle-bottom':item.expanded}"
                    (click)="toggleExpand(item)"></span>
                  </span>
                </td>
              </tr>
              <tr *ngIf="item.expanded" class="slider-container">
                <td colspan="4">
                  <div class="col-xs-12 col-sm-6 col-md-4 col-lg-6 date-slide">
                    <app-time-slider (timeRange)="timeChanged($event)" #timeRange></app-time-slider>
                  </div>
                  <div class="col-xs-12 col-sm-6 col-md-4 col-lg-6 date-slide">
                    <app-date-slider (dateRange)="dateChanged($event)" #dateRange></app-date-slider>
                  </div>
                </td>
                <td class="play-icon">
                  <span class="glyphicon glyphicon-play" (click)="getAlarmData(item)"></span>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <td colspan="4">
            <mfBootstrapPaginator [rowsOnPageSet]="[5,10,25]"></mfBootstrapPaginator>
          </td>
        </tr>
      </tfoot>
    </table>

  </div>
  <div class="panel-footer clearfix">

  </div>
</div>
